ahlmkk
火狐狸
火狐狸
  • UID24522
  • 注册日期2008-06-09
  • 最后登录2022-10-30
  • 发帖数281
  • 经验64枚
  • 威望0点
  • 贡献值24点
  • 好评度4点
  • 社区居民
  • 忠实会员
阅读:357回复:2

ESR自动更新后userChromeJS版的TabMixPlus不能用了,求助。

楼主#
更多 发布于:2022-07-01 21:14
用的是esr版,xiaoxiaoflood版的userChromeJS。
前两天自动更新到了91.11,突然发现TabMixPlus不能用了,同时扩展页面也打不开,一片空白那种。
今天去xiaoxiaoflood的页面,发现fx-folder.zip文件9天前更新,同时“Tested on Firefox Developer Edition 101.0b3”,就进行了更新。
更新之后,重启时提示“读取配置文件失败,请联系您的系统管理员”,确定后可以打开浏览器,扩展标签页什么的好像也没受影响,扩展页面可以正常使用了,然后可以看到TabMixPlus因没有签名被禁用。
请问大家有没有类似问题,求助:
1.启动时每次都会提示读取失败,个人怀疑是userChromeJS的问题,但是不知道怎么修复。
2.TabMixPlus因没有签名被禁用,怎么搞,之前装了userChromeJS就可以安装了。

最新喜欢:

火狐浏览器火狐浏览器
逗妇乳
小狐狸
小狐狸
  • UID50148
  • 注册日期2015-06-01
  • 最后登录2022-11-21
  • 发帖数83
  • 经验89枚
  • 威望0点
  • 贡献值32点
  • 好评度6点
1楼#
发布于:2022-07-01 22:40
9天前的更新是用于 102b7 + 版本的,你可以翻 commits 用老的版本


最新版的uc环境想要在91.11esr使用的话就修改 config.js



const Constants = ChromeUtils.import('resource://gre/modules/AppConstants.jsm');
修改为
const Constants = Components.utils.import('resource://gre/modules/AppConstants.jsm');
ahlmkk
火狐狸
火狐狸
  • UID24522
  • 注册日期2008-06-09
  • 最后登录2022-10-30
  • 发帖数281
  • 经验64枚
  • 威望0点
  • 贡献值24点
  • 好评度4点
  • 社区居民
  • 忠实会员
2楼#
发布于:2022-07-02 13:48
逗妇乳:9天前的更新是用于 102b7 + 版本的,你可以翻 commits 用老的版本


最新版的uc环境想要在91.11esr使用的话就修改 config.js



const Constants = ChromeUtils...
回到原帖
解决了,多谢多谢
游客

返回顶部